%define name    krecipes
%define version 0.8.1
%define release %mkrel 1
%define __libtoolize /bin/true
%define __cputoolize /bin/true



Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Krecipes - Your Way to Cook with Tux 
License:   GPL
URL:       http://krecipes.sourceforge.net/
Group:     Toys
Source:    http://ovh.dl.sourceforge.net/sourceforge/krecipes/%name-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: sqlite-devel
Requires: kdelibs-common
Requires: kdebase

%description
Krecipes is a new Open Source project for an exciting world 
that is almost forgotten in the Tux world: COOKING (yummy! ;-)

The goal of this projects was to create a KDE Recipe Tool that:

    * Can manage a recipe database with an easy to use interface
    * Allows creation/removal of new ingredients and units
    * Helps with diets, calculating amount of calories, 
		vitamines, carbohydrates... per recipe
    * Creates shopping lists, and daily suggestions for a given diet type
    * Is based on MySQL (1) so it could be possible to generate a KSN(2)
    * Should be as flexible as possible to have the possibility to 
		extend it in future.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}
%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

export PATH=$PATH:$QTDIR/bin 

%configure --disable-rpath

%install
rm -rf %buildroot
%{makeinstall_std}


install -d %buildroot/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "More Applications/Games/Toys" $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop  $RPM_BUILD_ROOT%{_menudir}/%{name} x11 Krecipes


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO
%attr(0755,root,root) %{_bindir}/%{name}

%{_menudir}/%{name}

%{_datadir}/applnk/Utilities/%{name}.desktop
%{_datadir}/apps/%{name}/data/abbrev.txt
%{_datadir}/apps/%{name}/data/data.sql
%{_datadir}/apps/%{name}/data/samples-cs_CZ.kreml
%{_datadir}/apps/%{name}/data/samples-en_US.kreml
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_datadir}/apps/%{name}/layouts/default.klo
%{_datadir}/apps/%{name}/layouts/one_column.klo

%{_datadir}/doc/HTML/da/%{name}/common
%{_datadir}/doc/HTML/da/%{name}/index.cache.bz2
%{_datadir}/doc/HTML/da/%{name}/index.docbook

%{_datadir}/doc/HTML/en/%{name}/*.png
%{_datadir}/doc/HTML/en/%{name}/common
%{_datadir}/doc/HTML/en/%{name}/index.docbook
%{_datadir}/doc/HTML/en/%{name}/index.cache.bz2

%{_datadir}/doc/HTML/et/%{name}/common
%{_datadir}/doc/HTML/et/%{name}/index.cache.bz2
%{_datadir}/doc/HTML/et/%{name}/index.docbook

%{_datadir}/doc/HTML/pt/%{name}/common
%{_datadir}/doc/HTML/pt/%{name}/index.cache.bz2
%{_datadir}/doc/HTML/pt/%{name}/index.docbook

%{_datadir}/doc/HTML/sv/%{name}/*.png
%{_datadir}/doc/HTML/sv/%{name}/common
%{_datadir}/doc/HTML/sv/%{name}/index.docbook
%{_datadir}/doc/HTML/sv/%{name}/index.cache.bz2

%{_iconsdir}/hicolor/128x128/apps/krecipes.png
%{_iconsdir}/hicolor/16x16/apps/krecipes.png
%{_iconsdir}/hicolor/22x22/apps/krecipes.png
%{_iconsdir}/hicolor/32x32/apps/krecipes.png
%{_iconsdir}/hicolor/48x48/apps/krecipes.png
%{_iconsdir}/hicolor/64x64/apps/krecipes.png

%{_datadir}/apps/%{name}/pics/*.png
%{_datadir}/apps/%{name}/icons/crystalsvg/16x16/actions/*.png
%{_datadir}/apps/%{name}/icons/crystalsvg/22x22/actions/*.png
%{_datadir}/apps/%{name}/icons/crystalsvg/32x32/actions/*.png
%{_datadir}/apps/%{name}/icons/crystalsvg/48x48/actions/*.png

%changelog
* Tue Aug 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-1mdk
- First mandriva release
